#import "FlutterTestPlugin.h"
#import "TestPluginObject.h"

@interface FlutterTestPlugin ()

@end

@implementation FlutterTestPlugin

+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    FlutterMethodChannel *versionChannel = [FlutterMethodChannel methodChannelWithName:@"flutter_test_plugin"
                                                                binaryMessenger:[registrar messenger]];
    FlutterTestPlugin *instance = [[FlutterTestPlugin alloc] init];
    [registrar addMethodCallDelegate:instance channel:versionChannel];
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result{
    if ([call.method isEqualToString:@"getPlatformVersion"]) {
        result(@"IOS 1.0");
    }else{
        result(@"undefined");
    }
}
@end
